/**
 * \file mi32/spectralband.h
 * \brief SPECTRALBAND class definition
 *
 * \if NODOC
 * $Id$
 *
 * $Log$
 * \endif
**/

#ifndef	INC_MI32_SPECTRALBAND_H
#define	INC_MI32_SPECTRALBAND_H

class SPECTRALBAND {
	public:

		enum ID {
			ID_None = 0,
			ID_Panchromatic,		//!< Visible panchromatic
			ID_Blue,					//!< Visible blue
			ID_Green,				//!< Visible green
			ID_Red,					//!< Visible red
			ID_NIR,					//!< Near infrared
			ID_MIR,					//!< Middle infrared
			ID_SWIR,					//!< Shortwave infrared
			};

		static TEXTID GetAbbr (ID id);

		static TEXTID GetName (ID id);
	};

#endif	// INC_MI32_SPECTRALBAND_H
