/**
 * \file rvc/dblabel.h
 * \brief interface for the RVC::DBASE_LABEL class.
 *
 * \if NODOC
 * $Id: dblabel.h_v 1.1 2015/02/25 22:26:57 mju Exp $
 *
 * $Log: dblabel.h_v $
 * Revision 1.1  2015/02/25 22:26:57  mju
 * Initial revision
 *
 * \endif
**/

#ifndef INC_RVC_DBLABEL_H
#define INC_RVC_DBLABEL_H

#ifndef INC_RVC_DBELEM_H
	#include <rvc/dbelem.h>
#endif

namespace RVC {

//! Manage RVC::OBJTYPE_Database_VectorLabel objects.
class DBASE_LABEL : public RVC::DBASE_ELEMENT {
	public:

		//! Default constructor
		DBASE_LABEL (
			): DBASE_ELEMENT(OBJTYPE_Vector,ELEMTYPE_Label) { }

	};

}		// End of RVC namespace

#endif 	// INC_RVC_DBLABEL_H
